
var accion = document.editarUsuarioForm.accion.value;
var esResponsable;

$("#feini").rup_date ();	
//Formatear la fecha 
if ($("#feini").val()!=""){
    var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#feini").rup_date("setDate", fechaIni);
}
	
	
$( document ).ready(function() {
	

	
	// la clase está dada de baja
	if ($("#bajaclase").val() == "1") {
		var textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") " + $("#textoClase").val();
		$("#textoClase").val(textoBaja);
		mensajeAlert($.rup.i18n.app.mensajes.claseBaja  );
		
	}
	var accion = document.editarUsuarioForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#checkboxBaja").hide();
		    
		    //Ocultar las zonas de asociar tecnicos y edififcios
		    $("#tecnicosUsuario").hide();
		    $("#edificiosUsuario").hide();
		    
		}  else {
	 	       $("#checkboxBaja").show();
		       
		       buscaTecnicos(); // rellenamos los cuadros de tecnicos
		       buscaEdificios(); // rellenamos los cuadros de edificios
		       
		}
		
		//Si es usuario responsable se muestra el apartado de técnicos, si no NO.
		if ($("#responsable").attr("checked")=="checked"){
			$("#tecnicosUsuario").show();
			esResponsable=true;
		}else{
			$("#tecnicosUsuario").hide();
			esResponsable=false;
		}
		
		//Si está marcado emailurgente se muestra combo territorio
		if($("#emailurgente").val() == "1"){
			$("#territorioEmail").show();
		}else{
			$("#territorioEmail").hide();
		}
		
	}
	
);


$('#territorioCombo').rup_combo({
	source : [
			{i18nCaption: $.rup.i18n.app.territorios._blank, value:""},
			{i18nCaption: $.rup.i18n.app.territorios.p1, value:"1"},
			{i18nCaption: $.rup.i18n.app.territorios.p20, value:"20"},
			{i18nCaption: $.rup.i18n.app.territorios.p48, value:"48"}
	         ],
	width: 100,
	selected: $("#idterritorio").val(),
	orderedByValue: true,
	style : "dropdown"	
});

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});

function btn_BuscarServicios(){
	var urlServicios="";
	if (accion == "NUEVO") {
		urlServicios="../servicios/obtenerServiciosAlta";
	}else{
		urlServicios="../servicios/obtenerServicios";
	}
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//No se permitirá cambiar el servicio si es responsable y tiene tecnicos asociados.
	        		if (accion != "NUEVO" && $("#responsable").is(':checked') && $('#tecnicosOcupados option').size()>0) {
	        			$.rup_messages("msgAlert", { 
	        	 			title: $.rup.i18n.app.comun.control,
	        		 		message: $.rup.i18n.app.mensajesServicio.noCambio
	        		 	});
	        		}else{
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);

		        		$("#lupaServicios").rup_dialog("close");
	        		}
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

function btn_BuscarClases(){

	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clasesAlta/obtenerClasesAlta",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupaClases
	$("#lupaClases").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.clasesVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaClases",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la clase y activo seleccionado
	        		
	        		var texto = $("#idTablaClases option:selected").html();
	        		if (texto != undefined) {
	        			$("#idclase").val($("#idTablaClases option:selected").val());
	        			texto = texto.replace(/&nbsp;/g, "");
	        			$("#textoClase").val(texto);
	        			
	        			// Si seleccionamos una clase es que está dada de alta
	        			$("#bajaclase").val("0");
	        			$("#feedbackEditarUsuario").hide();
	        		}
	        			$("#lupaClases").rup_dialog("close");
	        	
	        	}
        	},
	        {
	    		id: "cerrarlupaClases",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaClases").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}


	$("#feini").rup_date();

	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	function volver(){
		if ($("#ventanaOrigen").val()=="mantUsuarios"){
			window.location = "/aa20bMaqPartesWar/usuarios/maintVolver";	
		}else{
			history.back();	
		}

	}
	/********************************* FIN VOLVER  ****************************************************************/
	
/********************************* GUARDAR  ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	if (accion == "NUEVO") {
		$("#bt_guardar").bind("click", confirmarGuardar);
	}else{
		$("#bt_guardar").bind("click", confirmarModificar);
	}
	
	function confirmarGuardar (){
		var codigoUsuario = $("#uidPer").val();
		//Comprobar que el puesto existe en XLNET
		$.ajax({
			  type: "POST",
			  url: "../usuarioXLNET/existePuestoXLNET",
			  data:  { puestoIntroducido:codigoUsuario},
			  success: function(data){
					  if (data){
						  // El puesto existe en XLNET
							$.rup_messages("msgConfirm", {
								title: $.rup.i18nParse($.rup.i18n.app,"mensajesUsuarios.guardar"),			
								message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
								OKFunction: function(){
									guardarNuevaUsuario();	
								},
									CANCELFunction : function(){
								}
								});
					  }else{
						  // El puesto NO existe en XLNET
						  $.rup_messages("msgAlert", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: $.rup.i18n.app.mensajesUsuarios.puestoNoExiste
						 	});
					  }
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
	}
		
	function guardarNuevaUsuario() {	
		var properties={
				url:"../usuarios/addNuevaUsuario",
				feedback:$("#feedbackEditarUsuario"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) 
				 {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(){			
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarUsuarioForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   	 
		   		      
		   		       
						//Si es usuario responsable se muestra el apartado de técnicos, si no NO.
						if ($("#responsable").attr("checked")=="checked"){
							$("#tecnicosUsuario").show();
						    buscaTecnicos(); // rellenamos los cuadros de tecnicos
							esResponsable=true;
						}else{
							$("#tecnicosUsuario").hide();
							esResponsable=false;
						}
						
					    $("#edificiosUsuario").show();
				        buscaEdificios(); // rellenamos los cuadros de edificios
				    	$("#bt_guardar").unbind("click");
				        $("#bt_guardar").bind("click", confirmarModificar);
				 },
				 validate: {
					 rules: {
						 "uidPer":{required:true},
						 "nombre":{required:true},
						 "feini" : {required:true,date:true},
						 "textoServicio" : {required:true},
						 "textoClase": {required:true}
					 }
				 }
				};
				$("#editarUsuarioForm").rup_form(properties);				
				$("#editarUsuarioForm").submit();
	}
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesUsuarios.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarUsuario ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarUsuario () {		
		if ($("#bajaclase").val() == "1") {
			mensajeError($.rup.i18n.app.mensajes.claseBaja);
			return;
		}
		
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		var properties={
				url:"../usuarios/modificaUsuario",
				feedback:$("#feedbackEditarUsuario"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");   
						//Si es usuario responsable se muestra el apartado de técnicos, si no NO.
						if ($("#responsable").attr("checked")=="checked"){
							$("#tecnicosUsuario").show();
							buscaTecnicos();
							esResponsable=true;
						}else{
							$("#tecnicosUsuario").hide();
							esResponsable=false;
						}
				 },
				 validate: {
					 rules: {
						 "uidPer":{required:true},
						 "nombre":{required:true},
						 "feini" : {required:true,date:true},
						 "textoClase": {required:true}
					 }
				 }
				};
		
		//Si antes era responsable comprobar si tenía tecnicos asociados y en caso afirmativo pedir confirmación para desasociar esos tecnicos automáticamente
		//Si no confirma deberá hacerlo manualmente para que pueda guardarse el cambio.
		if (esResponsable==true && $("#responsable").attr("checked")!="checked"){
			var codigoUsuario = $("#uidPer").val();
			//Comprobar si tiene Edificios Asociados
			$.ajax({
				  type: "POST",
				  url: "../usutecnicos/obtenerTecnicosUsuarioAsignados",
				  data:  { idUsuario:codigoUsuario},
				  success: function(data){
					  if (data!=null && data.length>0){
						  //Tiene técnicos asociados. Perdir confirmación
							$.rup_messages("msgConfirm", {
								title: $.rup.i18n.app.mensajesUsuarios.aviso,		
								message: $.rup.i18n.app.mensajesUsuarios.confirmUsuNoResp,
								OKFunction: function(){
									//Desasociar los tecnicos y despues guardar los cambios.
									$.ajax({
										  type: "POST",
										  url: "../usutecnicos/restaTodosTecnicos",
										  data:  { idUsuario:codigoUsuario},
										  success: function(data){
											  	//Guardar los cambios
												$("#editarUsuarioForm").rup_form(properties);				
												$("#editarUsuarioForm").submit();
										  },
										  error: function(data){
											alert( data);
										  },
										  dataType: "json"
										});
											
								},
								CANCELFunction : function(){
									return;
								}
								});
					  }else{
							$("#editarUsuarioForm").rup_form(properties);				
							$("#editarUsuarioForm").submit();
					  }
				  },
				  error: function(data){
					alert( data);
				  },
				  dataType: "json"
				});
			

		}else{
			//Guardar lo cambios
			$("#editarUsuarioForm").rup_form(properties);				
			$("#editarUsuarioForm").submit();
		}

		
	}
	/********************************* FIN GUARDAR  ****************************************************************/
	
	
	/************************************************************************************************************/
	/********************************* GESTION DE TECNICOS ******************************************************/
	/************************************************************************************************************/

	function buscaTecnicos() {
		var codigoUsuario = $("#uidPer").val();
		$("#tecnicosLibres").empty();
		$("#tecnicosOcupados").empty();
		var idServicio=$("#idServicio").val();
		$.ajax({
			  type: "POST",
			  url: "../usutecnicos/obtenerTecnicosUsuarioLibres",
			  data:  { idUsuario:codigoUsuario, idServicio:idServicio},
			  success: function(data){
				  $("#tecnicosLibres").empty();
                  var miselect1=$("#tecnicosLibres");
                  for (var i=0; i<data.length; i++) {
					  if(data[i].presente){
						  miselect1.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].tecnico.nombre + '</option>');
					  }else{
						  miselect1.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].tecnico.nombre + '</option>');
					  }
                  }								  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
		$.ajax({
			  type: "POST",
			  url: "../usutecnicos/obtenerTecnicosUsuarioAsignados",
			  data:  { idUsuario:codigoUsuario},
			  success: function(data){
				  $("#tecnicosOcupados").empty();
                  var miselect2=$("#tecnicosOcupados");
				  for (var i=0; i<data.length; i++) {
					  if(data[i].presente){
						  miselect2.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].tecnico.nombre + '</option>');
					  }else{
						  miselect2.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].tecnico.nombre + '</option>');
					  }
                  }	
				  	
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
	  }
	
	$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
	$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);
	
	function confirmarSumaTecnicos(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaTecnico"),
			OKFunction: function(){
				
				sumaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function confirmarRestaTecnicos (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.restaTecnico"),
			OKFunction: function(){
				restaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	function sumaTecnicos() {
		var codigoUsuario = $("#uidPer").val();
		var tecnicosSeleccionados = $('#tecnicosLibres').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../usutecnicos/sumaTecnicos",
			  data:  { idUsuario:codigoUsuario,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosOcupados'); 		  
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaTecnicos() {
		var codigoUsuario = $("#uidPer").val();
		var tecnicosSeleccionados = $('#tecnicosOcupados').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../usutecnicos/restaTecnicos",
			  data:  { idUsuario:codigoUsuario,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
		
	}
	/************************************************************************************************************/
	/********************************* FIN GESTION DE TECNICOS **************************************************/
	/************************************************************************************************************/
	
	
	
	/************************************************************************************************************/
	/********************************* GESTION DE EDIFICIOS *****************************************************/
	/************************************************************************************************************/

	function buscaEdificios() {
		var codigoUsuario = $("#uidPer").val();
		$("#edificiosLibres").empty();
		$("#edificiosOcupados").empty();
		
		$.ajax({
			  type: "POST",
			  url: "../edificiosver/obtenerEdificiosUsuarioLibres",
			  data:  { idUsuario:codigoUsuario},
			  success: function(data){
				  $("#edificiosLibres").empty();
                  var miselect=$("#edificiosLibres");
			    	var edif =  "";
				    for (var i=0; i<data.length; i++) {
						  if($.rup_utils.capitalizedLang() =="Es"){
						    	edif =  data[i].edificio.cedificio;
						  }else{
						    	edif =  data[i].edificio.eedificio;
						  }
                    	miselect.append('<option value="' + data[i].idedificio + '">' + edif + '</option>');
                    }								  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
		$.ajax({
			  type: "POST",
			  url: "../edificiosver/obtenerEdificiosUsuarioAsignados",
			  data:  { idUsuario:codigoUsuario},
			  success: function(data){
				  $("#edificiosOcupados").empty();
                  var miselect=$("#edificiosOcupados");
			    	var edif =  "";
				  for (var i=0; i<data.length; i++) {
					  if($.rup_utils.capitalizedLang() =="Es"){
					    	edif =  data[i].edificio.cedificio;
					  }else{
					    	edif =  data[i].edificio.eedificio;
					  }
                  	miselect.append('<option value="' + data[i].idedificio + '">' + edif + '</option>');
                  }								  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
	  }
	
	$("#siguienteEdificio").bind("click", confirmarSumaEdificios);
	$("#anteriorEdificio").bind("click", confirmarRestaEdificios);
	
	function confirmarSumaEdificios(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.alta"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sumaEdificio"),
			OKFunction: function(){
				
				sumaEdificios();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function confirmarRestaEdificios (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.baja"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.restaEdificio"),
			OKFunction: function(){
				restaEdificios();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	
	function sumaEdificios() {
		var codigoUsuario = $("#uidPer").val();
		var edificiosSeleccionados = $('#edificiosLibres').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../edificiosver/sumaEdificios",
			  data:  { idUsuario:codigoUsuario,edificiosSeleccionados:formaArrayJson(edificiosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#edificiosLibres option:selected').remove().appendTo('#edificiosOcupados'); 
				  	//Recargar la tabla de Tecnicos libres para que compruebe si el nuevo edificio tiene tecnicos no asociados al usuario.
				  	buscaTecnicos();
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaEdificios() {
		var codigoUsuario = $("#uidPer").val();
		var edificiosSeleccionados = $('#edificiosOcupados').val();
		
		var edificiosNOSeleccionados = $('select#edificiosOcupados option:not(:selected)');
		var arrayEdificiosNOSeleccionados=[];
		
		for (i=0;i<edificiosNOSeleccionados.length;i++){
			arrayEdificiosNOSeleccionados.push(edificiosNOSeleccionados[i].value);
		}
		
		//Primero comprobar que no tiene tecnicos asociados a los edificios a desasignar no están en edificios que le quedan al usuario. En ese caso avisar de que se desasociaran tambien esos técnicos al usuario
		$.ajax({
			  type: "POST",				  
			  url: "../usutecnicos/comprobarTecnicosEdificio",
			  data:  { idUsuario:codigoUsuario,edificiosSeleccionados:formaArrayJson(edificiosSeleccionados),edificiosNOSeleccionados:formaArrayJson(arrayEdificiosNOSeleccionados)
			  },
			  success: function(dataTec){		
				  if ( dataTec!=null){
					  var strUsuarios="";
					  var arrayUsuarios = [];
					  
					  for (var i = 0; i < dataTec.length; i++) {
						  strUsuarios= strUsuarios + dataTec[i].tecnico.nombre + "<br>";
							  arrayUsuarios.push(dataTec[i].idtecnico);
					  }
					  $("#tecnicosOcupados").val(arrayUsuarios);
					  
						$.rup_messages("msgConfirm", {
							title: $.rup.i18nParse($.rup.i18n.app,"comun.control"),			
							message: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.tieneTecnicosUsuario") + "<br><br>" + strUsuarios,
							OKFunction: function(){
								$.ajax({
									  type: "POST",				  
									  url: "../edificiosver/restaEdificios",
									  data:  { idUsuario:codigoUsuario,edificiosSeleccionados:formaArrayJson(edificiosSeleccionados)
									  },
									  success: function(data4){					 
										  	!$('#edificiosOcupados option:selected').remove().appendTo('#edificiosLibres'); 
										  	//Desasignar los tecnicos.
											var tecnicosSeleccionados = $('#tecnicosOcupados').val();
											$.ajax({
												  type: "POST",				  
												  url: "../usutecnicos/restaTecnicos",
												  data:  { idUsuario:codigoUsuario,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
												  },
												  success: function(data4){					 
													  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
													  },
												  error: function() {
													  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
												  },
												  dataType: "json"
												});
										  },
									  error: function() {
										  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
									  },
									  dataType: "json"
									});
							},
							CANCELFunction : function(){
								return;
							}
						});
						
				  }else{
						$.ajax({
							  type: "POST",				  
							  url: "../edificiosver/restaEdificios",
							  data:  { idUsuario:codigoUsuario,edificiosSeleccionados:formaArrayJson(edificiosSeleccionados)
							  },
							  success: function(data4){					 
								  	!$('#edificiosOcupados option:selected').remove().appendTo('#edificiosLibres'); 
								  	//Recargar la tabla de Tecnicos libres para que compruebe si el nuevo edificio tiene tecnicos no asociados al usuario.
								  	buscaTecnicos();
								  },
							  error: function() {
								  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
							  },
							  dataType: "json"
							});
				  }
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
			  },
			  dataType: "json"
			});
		
		
		
	}
	/************************************************************************************************************/
	/********************************* FIN GESTION DE EDIFICIOS **************************************************/
	/************************************************************************************************************/	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeAlert (texto) {
		 var properties = {
  				type: "info",
  				//fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: true,
  				delay:null
  			};
  	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoUsuarioIncidenciaGuardada.modificadook + "</strong></p>";
  		$("#feedbackEditarUsuario").rup_feedback (properties);

  		$("#feedbackEditarUsuario").rup_feedback("set", texto);

  		$("#feedbackEditarUsuario").rup_feedback("show");
	}
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoUsuarioIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarUsuario").rup_feedback (properties);

   		$("#feedbackEditarUsuario").rup_feedback("set", texto);

   		$("#feedbackEditarUsuario").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarUsuario").rup_feedback (properties);

 		$("#feedbackEditarUsuario").rup_feedback("set", texto);

 		$("#feedbackEditarUsuario").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarUsuario").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




	function asignarValor(){
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
	}
	
	function comprobarCheckEmail(){
		if($('#emailurgente').is(":checked")) {
	    	$('#emailurgente').prop("checked", true);
	    	$('#emailurgente').val("1");
	    	$("#territorioEmail").show();
	    }else{
	    	$('#emailurgente').prop("checked", false);
	    	$('#emailurgente').val("0");
	    	$("#territorioEmail").hide();
	    	$("#territorioCombo").val("");
	    	$("#idterritorio").val("");
	    }
	}